Subject: Re: [PATCH] gre: copy ToS/DiffServ bits to outer IP header

From: Stephen Hemminger <[email-masked]>
Date: Mon, 13 Jul 2009 09:07:43 -0700

On Mon, 13 Jul 2009 18:01:42 +0200
Andreas Jaggi <[email-masked]> wrote:

> On Mon, Jul 13, 2009 at 08:33:03AM -0700, Stephen Hemminger wrote:
> > Why make it an option? Sounds like it should always be on.
> 
> In some scenarios people might want to set the ToS value for all
> GRE tunnel packets to a fixed value (cf. ip tunnel tos option).

Having more options, does not help users.  Why not just do that
with iptables or classifiers?